petsc-3.4.2 2013-07-02

# TSInterpolate

Interpolate the solution computed during the previous step to an arbitrary location in the interval

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSInterpolate(TS ts,PetscReal t,Vec U)

Collective on TS

### Input Argument

| ts | - time stepping context
| t | - time to interpolate to

### Output Argument

U -state at given time

### Notes

The user should call TSSetRetainStages() before taking a step in which interpolation will be requested.

### Developer Notes

TSInterpolate() and the storing of previous steps/stages should be generalized to support delay differential equations and continuous adjoints.

### Keywords

TS, set

### See Also

TSSetRetainStages(), TSSetPostStep()

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex16.c.html